Create or Update an Expenditure Run in API Explorer
Ask AI
This endpoint creates an individual expenditure for a client.
Path parameters
-
The uuid of the client.
-
The uuid of the parent Life Stage.
-
The uuid of the parent Life Stage Field.
POST
/api/v1/client/{client_uuid}/expenditure/{lifeStage_uuid}/{lifeStageField_uuid}
curl \
--request POST 'https://api.plannrcrm.com/api/v1/client/f6aa1670-dcf0-484e-a0c5-08590fe89a84/expenditure/dcf0-484e-a0c5-08590fe89a84-f6aa1670/dcf0-484e-a0c5-08590fe89a84-f6aa1670' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"amount": 50000,
"life_stage_section_uuid": "c2ece3cf-4536-4b91-ac0b-38f142c1896b"
}'
Request examples
{
"amount": 50000,
"life_stage_section_uuid": "c2ece3cf-4536-4b91-ac0b-38f142c1896b"
}
Response examples (200)
[
{
"uuid": "fea584a5-61e5-4d28-81a3-bdc2e7991c37",
"created_at": "2026-10-28T10:39:27+00:00",
"updated_at": "2026-10-28T10:39:27+00:00",
"name": "Electricity",
"section": "Housekeeping Expenses",
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"position": "1",
"life_stage_uuid": "6c8bce83-92ed-4e47-ad6e-070ef2835aab",
"life_stage_section_uuid": "88ea7767-86cf-47b2-b7ba-de6172c81a7c",
"life_stage_field_uuid": "40b1e63b-dae0-4800-8b3c-5fec43ad2e15",
"accounts": "[]"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}